#ifndef plugins_list_H
#define plugins_list_H

#include <QWidget>
#include <QMenu>

namespace Ui{
	class SHPluginsList;
};

class SHPluginsListItem;
class SHPluginsLoader;
class SHPluginManifest;

class SHPluginsList: public QWidget {
	Q_OBJECT
public:
	explicit SHPluginsList(QWidget * parent = 0);
	~SHPluginsList();

private:
	void showEvent(QShowEvent * );

	Ui::SHPluginsList * ui;
	
public slots:
	void updateList();
	void filterList();

private slots:
	void on_buttonGet_clicked();
	void on_buttonUpdateAll_clicked();
	void on_buttonUpdateSelected_clicked();
	void on_lineFilter_textChanged(QString) {filterList();}

signals:
	void closeRequest();
	void reloadPluginsRequest();
	
};


#endif
